..
    SPDX-FileCopyrightText: 2020-2023 CERN
    SPDX-FileCopyrightText: 2023 GSI Helmholtzzentrum für Schwerionenforschung
    SPDX-FileNotice: All rights not expressly granted are reserved.

    SPDX-License-Identifier: GPL-3.0-or-later OR EUPL-1.2+

Code Examples
=============

This is a small selection of usage examples for the package.

You can find all of them in the :file:`examples` directory of the project
repository_. You can execute them the usual way with :samp:`python {name}.py`.

.. _repository:
   https://gitlab.cern.ch/geoff/optimizers/cernml-extremum-seeking

.. toctree::

    simple_example
    coi_example
